//
// Product catalog view mode
// --------------------------------------------------
.commerce-product--catalog{
  margin: 15px auto;
  max-width: 370px;
  border-bottom: 2px solid $brand-primary;
  &:hover{
    .commerce-product--catalog__hover-text{
      visibility: visible;
      opacity: 1;
    }
    .commerce-product--catalog__info{
      padding: 0 15px;  background-color: $brand-primary;
      color: white;
      .field--name-title{
        padding-right: 10px;
      }
      a{
        color: white;
      }
    }
  }
  &__image{
    position: relative;
  }
  &__info{
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;
    min-height: 120px;
    border-top: 2px solid white;
    font-size: $font-size-h4;
    transition: all .4s ease;
    .field--name-title{
      padding-right: 10px;// to avoid title collapsing
      line-height: 1;
      transition: padding-right .4s ease;
      a{
        color: $gray-dark;
        font-weight: 400;
        &:before{
          position: absolute;
          top: 0;
          display: block;
          width: 100%;
          height: 100%;
          content:"";
        }
      }
    }
  }
  &__hover-text{
    position: absolute;
    top: 0;
    display: flex;
    visibility: hidden;
    align-content: center;
    flex-wrap: wrap;
    justify-content: center;
    width: 100%;
    height: 100%;
    background-color: rgba($brand-primary, .8);
    color: white;
    text-align: center;
    font-size: $font-size-h4;
    opacity: 0;
    transition: all .4s ease;
    &:hover{
      color: white;
    }
    .glyph{
      width: 100%;
      font-size: 44px;
    }
  }
}

//
// Product catalog view filters
// --------------------------------------------------
.view-product-catalog{
  .view-filters{
    margin: 0 auto 15px;
    padding-bottom: 20px;
    border-bottom: 1px solid $brand-primary-o;
    .select-wrapper,
    .select-wrapper select{
      width: 100%;
    }
    .form-group{
      vertical-align: bottom;
    }
    .form-actions,
    .form-item{
      margin-bottom: 10px;
    }
    .form-actions .btn{
      margin-right: 0;
      min-width: 120px;
      font-size: 18px;

      @include button-size($padding-base-vertical, $padding-base-horizontal, $font-size-base, $line-height-base, $btn-border-radius-base);
    }
    @media screen and (min-width: $screen-sm) {
      .form-item{
        margin-right: 15px;
      }
    }
    @media screen and (min-width: $screen-lg) {
      .form--inline{
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        &:before,
        &:after{
          display: none;
        }
      }
      .select-wrapper{
        margin-left: 5px;
        width: auto;
      }
    }
  }
}
